#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.Windows.Shared;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GettingStarted
{
    public class OrderInfo : NotificationObject
    {
        #region Private members

       
        private string _productName;
       
        private double _price;

        #endregion

        #region Public properties

       
        [Display(Name = "Product Name", Order = 1)]
        public string ProductName
        {
            get
            {
                return _productName;
            }
            set
            {
                _productName = value;
                RaisePropertyChanged("CustomerID");
            }
        }

 
 
        [Display(Name = "Price", Order = 2)]
        public double Price
        {
            get
            {
                return _price;
            }
            set
            {
                _price = value;
                RaisePropertyChanged("Quantity");
            }
        }
     
        #endregion
    }
}